Subject: Re: [#211] Query string cacheability

From: Mark Nottingham <[email-masked]>
Date: Wed, 2 Jun 2010 15:04:26 +1000

Proposal:

Add to the end of p6 2.3.1.1.  Calculating Heuristic Freshness):

"""
Note that RFC2616 required that caches not calculate heuristic freshness for URLs with query components (i.e., those containing '?'). In practice, this has not been widely implemented. Therefore, servers are encouraged to send explicit directives (e.g., Cache-Control: no-cache) if they wish to preclude caching.
"""

On 21/05/2010, at 4:16 PM, Mark Nottingham wrote:

> Now <http://trac.tools.ietf.org/wg/httpbis/trac/ticket/211>.
> 
> 
> On 21/05/2010, at 12:09 AM, Julian Reschke wrote:
> 
>> On 20.05.2010 00:09, Roy T. Fielding wrote:
>>> I would prefer to remove the paragraph from the spec.  It was not true when
>>> it was added, it isn't true now, and it won't be true tomorrow.
>>> 
>>> ....Roy
>> 
>> How about removing that, but including a statement that for historic reasons, some caches will default to non-cacheable, thus it might be needed to explicitly specify an expiration time?
>> 
>> Best regards, Julian
> 
> 
> --
> Mark Nottingham     http://www.mnot.net/
> 
> 

--
Mark Nottingham     http://www.mnot.net/

---

From: Julian Reschke <[email-masked]>
Date: Wed, 02 Jun 2010 08:57:53 +0200

On 02.06.2010 07:04, Mark Nottingham wrote:
> ...

Slightly reformatted, and reference added:

       Note: RFC 2616 ([RFC2616], Section 13.9) required that caches do
       not calculate heuristic freshness for URLs with query components
       (i.e., those containing '?').  In practice, this has not been
       widely implemented.  Therefore, servers are encouraged to send
       explicit directives (e.g., Cache-Control: no-cache) if they wish
       to preclude caching.

<http://trac.tools.ietf.org/wg/httpbis/trac/attachment/ticket/211/>

Best regards, Julian

---

From: Mark Nottingham <[email-masked]>
Date: Tue, 8 Jun 2010 11:28:30 +1000

We seem to be in agreement here - let's put this in -10 and close the issue.

Regards,

---

From: Julian Reschke <[email-masked]>
Date: Tue, 08 Jun 2010 07:25:59 +0200

> We seem to be in agreement here - let's put this in -10 and close the issue.

Applied with <http://trac.tools.ietf.org/wg/httpbis/trac/changeset/828>.

Best regards, Julian